gtkmm 3.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gtk::SignalProxyChildProperty Class Reference

`#include <gtkmm/childpropertyproxy_base.h>`

Inheritance diagram for Gtk::SignalProxyChildProperty:
[legend]

## Public Member Functions
| SignalProxyChildProperty (Widget* child, const char* property_name)
sigc::connection | connect (const SlotType& sl)
Public Member Functions inherited from Glib::SignalProxyProperty
| SignalProxyProperty (Glib::ObjectBase *obj, const gchar *property_name)
| ~SignalProxyProperty () noexcept
sigc::connection | connect (const SlotType &slot)
sigc::connection | connect (SlotType &&slot)
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase *obj)

## Additional Inherited Members
Public Types inherited from Glib::SignalProxyProperty
typedef sigc::slot< void > | SlotType
Protected Attributes inherited from Glib::SignalProxyProperty
const char * | property_name_
Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase * | obj_

## Constructor & Destructor Documentation

Gtk::SignalProxyChildProperty::SignalProxyChildProperty | ( | Widget* | child,
|  | const char * | property_name
| ) |  |
| inline

## Member Function Documentation

sigc::connection Gtk::SignalProxyChildProperty::connect | ( | const SlotType & | sl | ) |